/* This software is contributed or developed by KYOCERA Corporation. */
/* (C) 2011 KYOCERA Corporation                                      */

#ifndef __NAND_FOTA_H
#define __NAND_FOTA_H

struct nand_fota_ioctl_info {
	loff_t addr;
	char *buff;
	size_t size;
	int    result;
};

#define IOC_MAGIC 0xF6
#define IOCTL_NAND_FOTA_INIT_CMD  _IOR(IOC_MAGIC, 1, struct nand_fota_ioctl_info)
#define IOCTL_NAND_FOTA_READ_CMD  _IOR(IOC_MAGIC, 2, struct nand_fota_ioctl_info)
#define IOCTL_NAND_FOTA_WRITE_CMD _IOW(IOC_MAGIC, 3, struct nand_fota_ioctl_info)


static int  fota_flash_init ( void );
static int  fota_flash_read ( loff_t r_addr, unsigned char *r_buff, size_t r_size );
static int  fota_flash_write ( loff_t w_addr, unsigned char *w_buff, size_t w_size );

#endif
